Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Class RemoteObject

    java.lang.Object
      |
      +--java.rmi.server.RemoteObject

All Implemented Interfaces:
  Remote, Serializable

Direct Known Subclasses:
  RemoteServer, RemoteStub

public abstract class RemoteObject
extends Object
implements Remote, Serializable

The `RemoteObject` class implements the `java.lang.Object` behavior for remote objects. `RemoteObject` provides the remote semantics of Object by implementing methods for hashCode, equals, and toString.

Since:
  JDK1.1
See Also:
  Serialized Form

Field Summary
`protected RemoteRef` | `ref` the object's remote reference.

Constructor Summary
`protected` | `RemoteObject()` Creates a remote object.
`protected` | `RemoteObject(RemoteRef newref)` Creates a remote object, initialized with the specified remote reference.

Method Summary
`boolean` | `equals(Object obj)` Compares two remote objects for equality.
`RemoteRef` | `getRef()` Returns the remote reference for the remote object.
`int` | `hashCode()` Returns a hashcode for a remote object.
`String` | `toString()` Returns a String that represents the value of this remote object.
`static Remote` | `toStub(Remote obj)` Returns the stub for the remote object `obj` passed as a parameter.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ref

    protected transient RemoteRef ref

  the object's remote reference.

Constructor Detail

### RemoteObject

    protected RemoteObject()

  Creates a remote object.
  Since:
    JDK1.1

### RemoteObject

    protected RemoteObject(RemoteRef newref)

  Creates a remote object, initialized with the specified remote reference.
  Parameters:
    `newref` - remote reference
  Since:
    JDK1.1

Method Detail

### getRef

    public RemoteRef getRef()

  Returns the remote reference for the remote object.
  Returns:
    remote reference for the remote object
  Since:
    1.2

### toStub

    public static Remote toStub(Remote obj)
                         throws NoSuchObjectException

  Returns the stub for the remote object `obj` passed as a parameter. This operation is only valid after the object has been exported.
  Parameters:
    `obj` - the remote object whose stub is neede
  Returns:
    the stub for the remote object, `obj`.
  Throws:
    `NoSuchObjectException` - if the stub for the remote object could not be found.
  Since:
    1.2

### hashCode

    public int hashCode()

  Returns a hashcode for a remote object. Two remote object stubs that refer to the same remote object will have the same hash code (in order to support remote objects as keys in hash tables).
  Overrides:
    `hashCode` in class `Object`
  Since:
    JDK1.1
  See Also:
    `Hashtable`

### equals

    public boolean equals(Object obj)

  Compares two remote objects for equality. Returns a boolean that indicates whether this remote object is equivalent to the specified Object. This method is used when a remote object is stored in a hashtable. If the specified Object is not itself an instance of RemoteObject, then this method delegates by returning the result of invoking the `equals` method of its parameter with this remote object as the argument.
  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the Object to compare with
  Returns:
    true if these Objects are equal; false otherwise.
  Since:
    JDK1.1
  See Also:
    `Hashtable`

### toString

    public String toString()

  Returns a String that represents the value of this remote object.
  Overrides:
    `toString` in class `Object`
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.